src/main/java/br/com/sanderson/nfce/bean/CadastroUsuarioBean.java
package br.com.sanderson.nfce.bean;

import java.io.Serializable;

import javax.enterprise.inject.Model;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;

import br.com.sanderson.nfce.modelo.Usuario;
import br.com.sanderson.nfce.service.UsuarioService;
import br.com.sanderson.nfce.util.utilidades.Uteis;

@Model
@ViewScoped
public class CadastroUsuarioBean implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private Usuario usuario = new Usuario();
	
	@Inject
	private UsuarioService service;

	public Usuario getUsuario() {
		return usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}
	
	public void registrar() {
		if(usuario.getNome() == null || usuario.getNome().isEmpty() && usuario.getNome().trim().length() < 5){
			Uteis.MensagemAtencao("O campo 'Nome' não pode ser vazio e precisa ter 10 caracteres no minímo.");
			return;
		}			
		else if(usuario.getEmail() == null || usuario.getEmail().isEmpty() || usuario.getEmail().trim().length() < 10){
			Uteis.MensagemAtencao("O campo 'E-mail' não pode ser vazio e precisa ter 10 caracteres no minímo.");
			return;
		}else if(usuario.getSenha() == null || usuario.getSenha().isEmpty() || usuario.getSenha().trim().length() < 5){
			Uteis.MensagemAtencao("Informe e confirme a 'Senha' com pelo menos 5 caracteres.");
			return;
		}else{
			try {
				usuario.setLogin(usuario.getEmail());
				service.salvar(usuario);
				//Uteis.MensagemInfo("Usuário registrado com sucesso, aguardo o recebimento de e-mail de verificação");
				Uteis.MensagemInfo("Registrado com sucesso, usuário " + "'" + usuario.getNome() + "'" +  " pronto para uso, faça login e cadastre suas NFCe");
			} catch (Exception e) {
				System.out.println(e.getMessage() + e.getCause());
			}
		}		
	}

}

src/main/java/br/com/sanderson/nfce/bean/EstabelecimentoBean.java
package br.com.sanderson.nfce.bean;

import java.io.Serializable;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.enterprise.inject.Model;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;

import br.com.sanderson.nfce.modelo.Estabelecimento;
import br.com.sanderson.nfce.service.EstabelecimentoService;

@Model
@ViewScoped
public class EstabelecimentoBean implements Serializable{

	private static final long serialVersionUID = 1L;
	
	private List<Estabelecimento> listaEstabelecimentos;
	
	@Inject
	private EstabelecimentoService service;
	
	private Estabelecimento estabelecimento = new Estabelecimento();
	
	
	
	@PostConstruct
	public void inicializar(){
		listaEstabelecimentos = service.estabelecimentos();

//		Salvar Lista de Localização
//		try {
//			for (Estabelecimento e : listaEstabelecimentos) {
//				String endereco = e.getIdEndereco().getLogradouro() + ","
//						+ e.getIdEndereco().getNumero() + ", - "
//						+ e.getIdEndereco().getBairro() + ","
//						+ e.getIdEndereco().getCidade();
//				e.setLatLng(ApacheHttpClientGet.getLatLng(endereco));
//				service.editar(e);
//			}
//		}catch(Exception e){
//			System.out.println("Erro: " + e.getMessage());
//		}
		

		//Visualizar epenas uma localização
//		String endereco = listaEstabelecimentos.get(0).getIdEndereco().getLogradouro() + ","
//				+ listaEstabelecimentos.get(0).getIdEndereco().getNumero() + ", - "
//				+ listaEstabelecimentos.get(0).getIdEndereco().getBairro() + ","
//				+ listaEstabelecimentos.get(0).getIdEndereco().getCidade();
//		System.out.println(" ## Endereço: " + endereco);
//		ApacheHttpClientGet.getLatLng(endereco);
		
	}

	public List<Estabelecimento> getEstabelecimentos() {
		return listaEstabelecimentos;
	}
	
	public void atualizarLatLng(Estabelecimento e){
		try {
			if(e.getLatlng() == null)
				service.editar(e);
		} catch (Exception e2) {
			System.out.println("Erro: " + e2.getMessage());
		}
	}

	public Estabelecimento getEstabelecimento() {
		return estabelecimento;
	}

	public void setEstabelecimento(Estabelecimento estabelecimento) {
		this.estabelecimento = estabelecimento;
	}

}

src/main/java/br/com/sanderson/nfce/bean/EstabelecimentoDetalheBean.java
package br.com.sanderson.nfce.bean;

import java.io.Serializable;
import java.util.List;

import javax.enterprise.inject.Model;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;
import javax.inject.Named;

import br.com.sanderson.nfce.modelo.Estabelecimento;
import br.com.sanderson.nfce.modelo.Produto;
import br.com.sanderson.nfce.service.ProdutoService;


@Model
@ViewScoped
public class EstabelecimentoDetalheBean implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private Estabelecimento estabelecimento = new Estabelecimento();
	
	@Inject
	private ProdutoService produtoService;	
	
	private List<Produto> listaProdutosEstabelecimento;
	
	public Estabelecimento getEstabelecimento() {
		return estabelecimento;
	}
	public void setEstabelecimento(Estabelecimento estabelecimento) {
		this.estabelecimento = estabelecimento;
	}
	public ProdutoService getProdutoService() {
		return produtoService;
	}
	public void setProdutoService(ProdutoService produtoService) {
		this.produtoService = produtoService;
	}
	public List<Produto> getListaProdutosEstabelecimento() {
		return listaProdutosEstabelecimento;
	}
	public void setListaProdutosEstabelecimento(
			List<Produto> listaProdutosEstabelecimento) {
		this.listaProdutosEstabelecimento = listaProdutosEstabelecimento;
	}
	
	public void inicializarEstabelecimentoDetalhe(){
		listaProdutosEstabelecimento = produtoService.getByEstabelecimento(estabelecimento.getId());
	}
	

}

src/main/java/br/com/sanderson/nfce/bean/ListaComprasBean.java
package br.com.sanderson.nfce.bean;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.enterprise.inject.Model;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;

import br.com.sanderson.nfce.modelo.Estabelecimento;
import br.com.sanderson.nfce.modelo.ListaCompra;
import br.com.sanderson.nfce.modelo.Produto;
import br.com.sanderson.nfce.modelo.Usuario;
import br.com.sanderson.nfce.modelo.repository.EstabelecimentoRepository;
import br.com.sanderson.nfce.modelo.repository.ProdutoRepository;
import br.com.sanderson.nfce.service.ListaCompraService;


@Model
@ViewScoped
public class ListaComprasBean implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private Usuario usuario = new Usuario();
	private List<Produto> listaCompraProdutos = new ArrayList<Produto>();
	private List<Estabelecimento> listaCompraEstabelecimento = new ArrayList<Estabelecimento>();
	
	private String StrProduto;
	private String StrQuantidade;
	private String StrEstabelecimento;
	private String StrListaDescricao;
	private ListaCompra listaDeCompra;

	@Inject
	ProdutoRepository produtoRepository;
	
	@Inject
	private ListaCompraService listaCompraService;
	
	@Inject
	EstabelecimentoRepository estabRepository;


	public Usuario getUsuario() {
		return usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}

	public List<Produto> getListaCompraProdutos() {
		return listaCompraProdutos;
	}

	public void setListaCompraProdutos(List<Produto> listaCompraProdutos) {
		this.listaCompraProdutos = listaCompraProdutos;
	}
	
	public void removerListaDeCompras(){
		//remove lista
	}
	
	public void visualizarListaDeCompras(){
		//remove lista
		System.out.println(" ## Lista de Compras: " + this.listaDeCompra.getTxListaDescricao());
		for(Produto p : this.listaDeCompra.getProduto()){
			System.out.println("Prod: " + p.getDescricao());
		}
	}
	
	public void adicionarProdutoLista(){
		//https://stackoverflow.com/questions/14928912/using-bootstrap-related-tags-inside-jsf2-hinputtext-component
		//https://github.com/bassjobsen/Bootstrap-3-Typeahead
		//$("#cform")[0].reset();
		//document.getElementById("cform").reset();
		
//		HttpServletRequest req = (HttpServletRequest) FacesContext.getCurrentInstance().getExternalContext().getRequest();
//		String prodDescricao = req.getParameter("produtos");
		
		//Produto p = produtoRepository.findByDescricao(StrProduto);
		String produtoCodigo = this.StrProduto.trim().split("-")[0];
		Produto p = produtoRepository.getByCodigoProduto(new BigInteger(produtoCodigo)).get(0);
		
//		if(StrQuantidade.contains(",")) 
//			p.setQtd(new Float(StrQuantidade.replaceAll(",", ".")));
//		else p.setQtd(new Float(StrQuantidade));
		
		//Produto p = produtoRepository.findByDescricao(StrProduto);
		listaCompraProdutos.add(p);
		StrProduto = "";
		StrQuantidade = "";
	}
	
	public void adicionarEstabelecimentoLista() {
		Estabelecimento e = estabRepository.findByRazaoSocial(StrEstabelecimento.split("-")[0].trim());
		listaCompraEstabelecimento.add(e);
		StrEstabelecimento = "";
	}	
	
	public void compararListaCompras() {
		System.out.println(" ## Gerando lista de preços ...");
		for (Estabelecimento e : listaCompraEstabelecimento) {
			e.getProdutoList().clear();
			for(Produto p : listaCompraProdutos){
				List<Produto> lProdutos = produtoRepository.getByEstabelecimentoAndProduto(e.getId(), p.getCodigoProduto());				
				if(lProdutos != null && !lProdutos.isEmpty()){
					p = lProdutos.get(0);
					p.setExisteNaListaCompra(true);
				}
				else {
					p.setExisteNaListaCompra(false);
				}
				e.getProdutoList().add(p);
			}			
		}
		//Salvar Lista de Compra ao Finalizar
		//salvarListaDeCompra();
	}
	
	private void salvarListaDeCompra() {
		// Salvar Lista
		try {
			ListaCompra listaCompra = new ListaCompra();
			listaCompra.setDtCriacao(new Date());
			listaCompra.setIdUsuario(usuario);
			listaCompra.setTxListaDescricao(this.StrListaDescricao);
			// listaCompra.setProduto(listaCompraProdutos);
			listaCompraService.salvar(listaCompra);
			atualizarProdutos(listaCompra);
			System.out.println("Lista de Compras Salva com sucesso! ");
		} catch (Exception e) {
			System.out.println("Erro ao Salvar Lista de Compras: " + e.getMessage());
		}
	}
	
	private void atualizarProdutos(ListaCompra lcompra){
		try {
			for(Produto p : listaCompraProdutos){
				p.setListacompra(lcompra);
				produtoRepository.guardar(p);
				lcompra.adiciona(p);
			}
			listaCompraService.atualizar(lcompra);
		} catch (Exception e) {
			System.out.println("Erro ao atualizar produtos: " + e.getMessage());
		}
	}
	
	public Produto getProdutoPorEstabelecimento(Produto p, Estabelecimento e){
		for(Produto produto : e.getProdutoList()){
			if(p.getCodigoProduto().equals(produto.getCodigoProduto())) return produto;
		}
		//p.setVlProduto(BigDecimal.ZERO);
		return p; // Workround!!
	}
	
	//remover produto da lista de compras
	public void removeProdutoLista(Produto p){
		listaCompraProdutos.remove(p);
	}
	
	//remover estabelecimento da lista de compras
	public void removeEstabelecimentoLista(Estabelecimento e){
		listaCompraEstabelecimento.remove(e);
	}
	
	//Pesquisar produto Preço
	
	public String getStrProduto() {
		return StrProduto;
	}

	public void setStrProduto(String strProduto) {
		StrProduto = strProduto;
	}

	public String getStrQuantidade() {
		return StrQuantidade;
	}

	public void setStrQuantidade(String strQuantidade) {
		StrQuantidade = strQuantidade;
	}

	public List<Estabelecimento> getListaCompraEstabelecimento() {
		return listaCompraEstabelecimento;
	}

	public void setListaCompraEstabelecimento(
			List<Estabelecimento> listaCompraEstabelecimento) {
		this.listaCompraEstabelecimento = listaCompraEstabelecimento;
	}
	
	public String getStrEstabelecimento() {
		return StrEstabelecimento;
	}

	public void setStrEstabelecimento(String strEstabelecimento) {
		StrEstabelecimento = strEstabelecimento;
	}

	public String getStrListaDescricao() {
		return StrListaDescricao;
	}

	public void setStrListaDescricao(String strListaDescricao) {
		StrListaDescricao = strListaDescricao;
	}

	public ListaCompra getListaDeCompra() {
		return listaDeCompra;
	}

	public void setListaDeCompra(ListaCompra listaDeCompra) {
		this.listaDeCompra = listaDeCompra;
	}

}

src/main/java/br/com/sanderson/nfce/bean/MinhasComprasBean.java
package br.com.sanderson.nfce.bean;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Model;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;

import br.com.sanderson.nfce.modelo.Estabelecimento;
import br.com.sanderson.nfce.modelo.NotaFiscal;
import br.com.sanderson.nfce.modelo.Usuario;
import br.com.sanderson.nfce.service.NotaFiscalService;

@Model
@ViewScoped
public class MinhasComprasBean implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private List<NotaFiscal> notasFiscais = new ArrayList<NotaFiscal>();
		
	private Usuario usuario = new Usuario();
	private Estabelecimento estab = new Estabelecimento();
	
	@Inject
	NotaFiscalService service;

	public void inicializar() {
		notasFiscais = service.findByUsuarioAndEstab(usuario, getEstab());
	}

	public List<NotaFiscal> getNotaFiscais() {
		return notasFiscais;
	}

	public Usuario getUsuario() {
		return usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}
	
	public String getNumeroNotas(){
		return notasFiscais.size() + "";
	}
	
	public String getTotalCompras(){
		BigDecimal sum = notasFiscais.isEmpty() ? new BigDecimal(0) : notasFiscais.stream().map(NotaFiscal::getVlNfce).reduce(BigDecimal::add).get();
		return "R$" + sum.toString();
	}

	public Estabelecimento getEstab() {
		return estab;
	}

	public void setEstab(Estabelecimento estab) {
		this.estab = estab;
	}
	
}

src/main/java/br/com/sanderson/nfce/rest/ServiceController.java
package br.com.sanderson.nfce.rest;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;

import org.json.JSONArray;

import br.com.sanderson.nfce.modelo.Estabelecimento;
import br.com.sanderson.nfce.modelo.Produto;
import br.com.sanderson.nfce.modelo.repository.EstabelecimentoRepository;
import br.com.sanderson.nfce.modelo.repository.ProdutoRepository;

@Path("/service")
public class ServiceController implements Serializable{

	private static final long serialVersionUID = 1L;
	
	private EstabelecimentoRepository estabelecimentoRepository = new EstabelecimentoRepository();
	private ProdutoRepository produtoRepository = new ProdutoRepository();
	
	/**
	 * Esse método lista todas pessoas cadastradas na base
	 * */
	@GET
	@Produces("application/json; charset=UTF-8")
	@Path("/estabelecimentosCoordenadas")
	public List<MapCoordenadas> estabelecimentosCoordenadas(){
		List<Estabelecimento> estabelecimentos =  new ArrayList<Estabelecimento>();
		estabelecimentos = estabelecimentoRepository.listarRest();
		List<MapCoordenadas> listaCoordenadas = new ArrayList<MapCoordenadas>();
		for (Estabelecimento e : estabelecimentos) {			
			if(e.getLatlng() != null && !e.getLatlng().isEmpty()){
				MapCoordenadas m = new MapCoordenadas();
				m.setId(e.getId().toString());				
				m.setTitulo(e.getRazaoSocial());
				m.setDescricao(e.getIdEndereco().enderecoCompleto());
				m.setLat(e.getLatlng().split(",")[0]);
				m.setLng(e.getLatlng().split(",")[1]);
				//m.getCoordenadas().setLat(e.getLatlng().split(",")[0]);
				//m.getCoordenadas().setLng(e.getLatlng().split(",")[1]);
				//m.getEndereco().setLogradouro(e.getIdEndereco().getLogradouro());
				//m.getEndereco().setBairro(e.getIdEndereco().getBairro());
				//m.getEndereco().setCep(e.getIdEndereco().getCep());
				listaCoordenadas.add(m);
			}
		}
		return listaCoordenadas;
	}
	
	
	/**
	 * Esse método lista todos od produtos cadastradas na base
	 * */
	@GET
	@Produces("application/json; charset=UTF-8")
	@Path("/produtos")
	public String produtos(){
		String[] listProdutos;
		List<Produto> produtos =  new ArrayList<Produto>();
		produtos = produtoRepository.listarRest();
		listProdutos = new String[produtos.size()];
		for (int i = 0; i < produtos.size(); i++) {
			listProdutos[i] = produtos.get(i).getCodigoProduto() + "-" + produtos.get(i).getDescricao();
		}
		JSONArray mJSONArray = new JSONArray(Arrays.asList(listProdutos));
		return mJSONArray.toString();
	}
	
	/**
	 * Esse método lista todas pessoas cadastradas na base
	 * */
	@GET
	@Produces("application/json; charset=UTF-8")
	@Path("/estabcomendereco")
	public String estabComEndereco(){
		String[] lista;
		List<Estabelecimento> estabelecimentos =  new ArrayList<Estabelecimento>();
		estabelecimentos = estabelecimentoRepository.listarRest();
		lista = new String[estabelecimentos.size()];
		for (int i = 0; i < estabelecimentos.size(); i++) {
			lista[i] = estabelecimentos.get(i).getRazaoSocial() + " - " + estabelecimentos.get(i).getIdEndereco().getLogradouro() + " - " + estabelecimentos.get(i).getIdEndereco().getBairro(); 
		}
		JSONArray mJSONArray = new JSONArray(Arrays.asList(lista));
		return mJSONArray.toString();
	}
	
	
	
	/**
	 * Esse método lista todas pessoas cadastradas na base
	 * */
	@GET
	@Produces("application/json; charset=UTF-8")
	@Path("/estabelecimentos")
	public List<Estabelecimento> estabelecimentos(){
		List<Estabelecimento> estabelecimentos =  new ArrayList<Estabelecimento>();
		estabelecimentos = estabelecimentoRepository.listarRest();
		return estabelecimentos;
	}
	
	/**
	 * Esse método busca uma pessoa cadastrada pelo código
	 * */
	@GET
	@Produces("application/json; charset=UTF-8")
	@Path("/estabelecimentos/{cnpj}")
	public Estabelecimento GetPessoa(@PathParam("cnpj") Long cnpj){
 
//		Estabelecimento e = estabService.getByCNPJ(cnpj);
// 
//		if(e != null)
//			return e;
 
		return null;
	}
	
}

src/main/webapp/estabelecimento-lista.xhtml
<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:p="http://primefaces.org/ui">

	<ui:define name="page_title">
		Consultar Estabelecimentos
	</ui:define>

	<ui:define name="content">
		<div class="row">
			<div class="col-md-12">
				<h4 class="title">Estabelecimentos Comerciais</h4>
				<p class="category">Visualize produtos a partir de um estabelecimento Comercial</p>
				<br />
					<ui:include src="/map-from-json.xhtml"></ui:include>
				<div class="card">
					<div class="card-content">
						<div class="toolbar">
							<!--Here you can write extra buttons/actions for the toolbar-->
						</div>
						<div class="fresh-datatables">
							<h:dataTable value="#{estabelecimentoBean.estabelecimentos}" var="item"
								styleClass="table table-striped table-no-bordered table-hover"
								cellspacing="0" width="100%" style="width: 100%"
								id="datatables-estabelecimentos">
<!-- 								<h:column> -->
<!-- 									<f:facet name="header"> -->
<!-- 										<h:outputText value="CNPJ" /> -->
<!-- 									</f:facet> -->
<!-- 									<h:outputText value="#{item.cnpj}" /> -->
<!-- 								</h:column> -->
								<h:column>
									<f:facet name="header">
										<h:outputText value="NOME" />
									</f:facet>
									<h:outputText value="#{item.nomeFantasia}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="ENDEREÇO" />
									</f:facet>
									<h:outputText value="#{item.idEndereco.logradouro}, #{item.idEndereco.numero} - #{item.idEndereco.bairro} - #{item.idEndereco.cep}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="Ação" />
									</f:facet>
									<h:link styleClass="btn btn-simple btn-info btn-icon like" outcome="estabelecimento-detalhe">
										<f:param name="id" value="#{item.id}" />
										<i class="ti-eye"></i>
									</h:link>
								</h:column>
							</h:dataTable>
						</div>
					</div>
				</div>
				<!--  end card  -->
			</div>
			<!-- end col-md-12 -->
		</div>
		<!-- end row -->
		
		<h:outputScript>
	$(document).ready(function() {
		$.get("/rest/service/estabcomendereco", function(data){
		  $("#listacompras-estabelecimentos").typeahead({ source:data });
		},'json');
		//datatables-estabelecimentos
			 $('#datatables-estabelecimentos').DataTable({
						 "pagingType": "numbers",
						 responsive: true,
						 ordering: false,
						 "bLengthChange": false,
						 language: {
							 search: "_INPUT_",
							 searchPlaceholder: "Filtrar",
							 "url": "/resources/json/Portuguese-Brasil.json"
					 }
				 });
	});
</h:outputScript>
	</ui:define>
</ui:composition>

src/main/webapp/minhas-compras-estabelecimentos.xhtml
<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:o="http://omnifaces.org/ui">

	<f:metadata>
		<o:viewParam name="id" value="#{minhasComprasEstabelecimentosBean.usuario}" />
		<f:viewAction action="#{minhasComprasEstabelecimentosBean.inicializar}" />
	</f:metadata>

	<ui:define name="page_title">
		Minhas Compras
	</ui:define>

	<ui:define name="content">
		<div class="row">
			<div class="col-md-12">
				<h4 class="title">Suas Notas Fiscais</h4>
				<p class="category">Veja os detalhes de suas Notas Fiscais</p>
				<br />
				<div class="row">
	                    <div class="col-lg-4 col-sm-6">
	                        <div class="card">
	                            <div class="card-content">
	                                <div class="row">
	                                    <div class="col-xs-5">
	                                        <div class="icon-big icon-warning text-center">
	                                            <i class="ti-server"></i>
	                                        </div>
	                                    </div>
	                                    <div class="col-xs-7">
	                                        <div class="numbers">
	                                            <p>Notas Fiscal</p>
	                                            #{minhasComprasEstabelecimentosBean.numeroNotas}
	                                        </div>
	                                    </div>
	                                </div>
	                            </div>
	                        </div>
	                    </div>
	                    <div class="col-lg-4 col-sm-6">
	                        <div class="card">
	                            <div class="card-content">
	                                <div class="row">
	                                    <div class="col-xs-5">
	                                        <div class="icon-big icon-success text-center">
	                                            <i class="ti-wallet"></i>
	                                        </div>
	                                    </div>
	                                    <div class="col-xs-7">
	                                        <div class="numbers">
	                                            <p>Total em Compras</p>
	                                            #{minhasComprasEstabelecimentosBean.totalCompras}
	                                        </div>
	                                    </div>
	                                </div>
	                            </div>
	                        </div>
	                    </div>
	                </div>
				<div class="card">
					<div class="card-content">
						<div class="toolbar">
							<!--Here you can write extra buttons/actions for the toolbar-->
						</div>
						<div class="fresh-datatables">
							<h:dataTable value="#{minhasComprasEstabelecimentosBean.estabelecimentos}" var="item"
								styleClass="table table-striped table-no-bordered table-hover"
								cellspacing="0" width="100%" style="width: 100%"
								id="datatables-compras-estabelecimentos">
								<h:column>
									<f:facet name="header">
										<h:outputText value="NOME" />
									</f:facet>
									<h:outputText value="#{item.noEstabelecimento}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="NOTAS" />
									</f:facet>
									<h:outputText value="#{item.nuNotas}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="TOTAL (R$)" />
									</f:facet>
									<h:outputText value="R$ #{item.vlTotalEstabelecimento}" />
								</h:column>								
								<h:column>
									<f:facet name="header">
										<h:outputText value="Ação" />
									</f:facet>
									<h:link styleClass="btn btn-simple btn-info btn-icon like" outcome="minhas-compras">
										<f:param name="idEstabelecimento" value="#{item.idEstabelecimento}" />
										<f:param name="id" value="#{user.id}" />
										<i class="ti-eye"></i>
									</h:link>
								</h:column>
							</h:dataTable>
						</div>
					</div>
				</div>
				<!--  end card  -->
			</div>
			<!-- end col-md-12 -->
		</div>
		<!-- end row -->
		<h:outputScript>
	$(document).ready(function() {
		//datatables-compras-estabelecimentos
					$('#datatables-compras-estabelecimentos').DataTable({
								"pagingType": "numbers",
								responsive: true,
								ordering: false,
								"bLengthChange": false,
								language: {
									search: "_INPUT_",
									searchPlaceholder: "Filtrar",
									"url": "/resources/json/Portuguese-Brasil.json"
							}
						});
	});
</h:outputScript>
	</ui:define>
</ui:composition>